import enqueueWithResults from '../enqueueWithResults';

export default test => {
    test.ok(typeof enqueueWithResults === 'function', 'enqueueWithResults should be a function');

    const generators = [
        () => Promise.resolve(1),
        () => Promise.resolve(2),
        () => Promise.resolve(3)
    ];

    const fnEnqueue = enqueueWithResults(generators);

    fnEnqueue().then(results => {
        test.ok(Array.isArray(results), 'results must be an array');
        test.ok([1, 2, 3].every(val => results.includes(val)), 'result must contain value');
    });

    test.done();
};