/**
 * @memberOf function
 * @param fn
 * @param context
 */
const promisify = (fn, context = null) => (...args) => {
    return new Promise((resolve, reject) => {
        // create a callback to handle error and data
        const callback = (err, data) => err ? reject(err) : resolve(data);

        // call the original function with our callback flavoured arguments
        fn.call(context, ...args, callback);
    });
};

export default promisify;