/**
 * Creates a function which extracts some properties out of an object.
 *
 * @memberOf object
 * @param {string[]} props
 * @return {Function}
 */

const extract = (...props) => (obj) => {
    return props.reduce((extracted, key) => {
        extracted[key] = obj[key];
        return extracted;
    }, {});
};

export default extract;